обновление версии версии 3.3 в ubuntu 16.04

7

В настоящее время я использую R версию 3.2.3 на Ubuntu 16.04 LTS. Я пытаюсь установить пакет в R, называемый kma, который требует пакетов, таких как devtools, data.table и т. Д. Когда я пытаюсь установить эти пакеты, я получаю следующее:

install.packages(c("devtools", "data.table", "reshape2", "dplyr"))
Warning in install.packages :
  download had nonzero exit status
Installing packages into ‘/home/varun/R/x86_64-pc-linux-gnu-library/3.2’
(as ‘lib’ is unspecified)
Warning in install.packages :
  packages ‘devtools’, ‘data.table’, ‘reshape2’, ‘dplyr’ are not available (for R version 3.2.3)

Эти пакеты устанавливаются без каких-либо проблем, если версия R равна 3,3 или выше. Как я могу обновить свой R до версии 3.3 или выше из текущей версии 3.2. Также все мои пакеты находятся в 3.2. Должен ли я снова установить все эти пакеты?

Надеюсь скоро услышать.

Спасибо

    
задан user3138373 27.04.2017 в 19:31
источник

1 ответ

6

Используйте PPA Майкла Раттера

В PPA Rutter в настоящее время R 3.4.0. Чтобы установить PPA, откройте терминал, нажав Ctrl + Alt + T и введите:

sudo add-apt-repository ppa:marutter/rrutter

Далее следуют:

sudo apt update
sudo apt full-upgrade

Это обновит вашу установку R.

Надеюсь, что это поможет

    
ответ дан user68186 27.04.2017 в 20:33